﻿<div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
    <h3 id="myModalLabel4" class="text-left">Freeze Event</h3>
</div>
<div class="modal-body">
    <span class="pull-left"><strong>Are you sure you want to freeze this event?</strong></span><br />
    <p class="pull-left">
        Freezing an event suspends the event and prevents players from registering for it. 
    This operation might be useful if the registration for the event has exceeded the capacity, for example. 
    If an event online registration deadline has passed, the freezing or unfreezing operations have
    no practical impacts.
    </p>
    <br />

</div>
<div class="modal-footer text-center">
    @using (Ajax.BeginForm("Freeze", "SubDomain", new { @domain = ViewBag.Domain, @clubDomain = ViewBag.ClubDomain, @categoryId = ViewBag.CategoryId, @subDomainCategory = ViewBag.SubDomainCategory }, new AjaxOptions { HttpMethod = "Post", OnSuccess = "AjaxSuccess", OnFailure = "AjaxFailure" }, new { @role = "form" }))
    {
        <input id="btnFreezeEvent" type="submit" class="btn btn-info btn-block loading" data-loading-text="Freezing..." value="yes, i am sure" />   
    }
</div>

<script type="text/javascript">

    $(document).ready(function () {
        buttonInit();
    });

    function AjaxSuccess(data, status) {
        switch (data.Status) {
            case "Success":
                {
                    location.reload();
                    break;
                }

            default:
                buttonReset();
                break;
        }
    }

    function AjaxFailure() {
        var msg = $("#DeleteMessage");
        msg.html("Error in establish connection with server.");

        buttonReset();
    }
</script>
